<?php
/**
 * Plugin Name: WooCommerce - Envia paqueteria
 * Plugin URI: https://enviapaqueteria.com/
 * Version: 1.0
 * Description: Send easily WooCommerce orders with Envia Paqueteria.
 * Author: Tendencys
 * Author URI: https://enviapaqueteria.com/
 * Text Domain: woocommerce-enviapaqueteria
 */
ob_start();
if ( ! defined( 'ABSPATH' ) ) { exit; }
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {

	add_action( 'add_meta_boxes', 'my_order_meta_box' );
	function my_order_meta_box(){
	    add_meta_box(
	        'woocommerce-order-YOUR-UNIQUE-REF',
	        __( 'Envia paqueteria' ),
	        'order_meta_box_content',
	        'shop_order',
	        'side',
	        'default'
	    );
	}
	function order_meta_box_content(){
		$site = preg_replace("(^https?://)", "", get_site_url());
		$order_id = isset($_GET['post']) ? $_GET['post'] : "";
		echo '<a class="button" target="_blank" href="https://www.enviapaqueteria.com/envios/generar-guia?woo_shop='.$site.'&order='.$order_id.'"><img src="'.plugins_url( 'images/enviapaqueteria.png', __FILE__ ).'" />Guia</a>';
	}

	function fulfillment_display_order_data($order){
		if(get_post_meta( $order->get_id(), '_carrier', true ) && get_post_meta( $order->get_id(), '_tracking_url', true )) { ?>
		    <div class="order_data_column" style='width:100%'>
		        <h3><?php _e( 'Fulfillment' ); ?></h3>
		        <div>
		        <?php 
		            echo '<p><strong>' . __( 'Carrier' ) . ':</strong></br>';
		            echo get_post_meta( $order->get_id(), '_carrier', true ) . '</p>';

		            echo '<p><strong>' . __( 'Tracking number' ) . ':</strong></br>';
		            echo '<a target="blank" href="'.get_post_meta( $order->get_id(), '_tracking_url', true ).'">'.get_post_meta( $order->get_id(), '_tracking_number', true ).'</a></p>';

		            echo '<p><strong>' . __( 'Fulfilled by' ) . ':</strong></br>';
		            echo get_post_meta( $order->get_id(), '_fulfilled_by', true ) . '</p>'; ?>
		        </div>
		    </div>
		<?php }
	}
	add_action( 'woocommerce_admin_order_data_after_order_details', 'fulfillment_display_order_data' );
}
ob_end_flush();
?>